{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://securemssurveyd.mrdev.mx","description":"Generated server url"}],"paths":{"/api/v1/surveys/{surveyId}/items/{itemId}":{"get":{"tags":["Survey items"],"operationId":"findById","parameters":[{"name":"surveyId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"itemId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyItem"}}}}}},"put":{"tags":["Survey items"],"operationId":"update","parameters":[{"name":"surveyId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"itemId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyItemUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyItem"}}}}}},"delete":{"tags":["Survey items"],"operationId":"delete","parameters":[{"name":"surveyId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"itemId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/surveys/{id}":{"get":{"tags":["Surveys"],"operationId":"findById_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurvey"}}}}}},"put":{"tags":["Surveys"],"operationId":"update_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurvey"}}}}}},"delete":{"tags":["Surveys"],"operationId":"delete_1","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/surveys/{id}/variables":{"get":{"tags":["Surveys"],"operationId":"getVariables","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurveyVariableRowDto"}}}}}},"put":{"tags":["Surveys"],"operationId":"putVariables","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyVariablesPutRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurveyVariableRowDto"}}}}}}},"/api/v1/solutions/{id}":{"get":{"tags":["Solutions"],"operationId":"findById_3","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolution"}}}}}},"put":{"tags":["Solutions"],"operationId":"update_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolution"}}}}}},"delete":{"tags":["Solutions"],"operationId":"delete_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"204":{"description":"No Content"}}}},"/api/v1/surveys":{"get":{"tags":["Surveys"],"operationId":"findAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurvey"}}}}}},"post":{"tags":["Surveys"],"operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurvey"}}}}}}},"/api/v1/surveys/{surveyId}/items":{"get":{"tags":["Survey items"],"operationId":"list","parameters":[{"name":"surveyId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurveyItem"}}}}}},"post":{"tags":["Survey items"],"operationId":"create_1","parameters":[{"name":"surveyId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyItemCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyItem"}}}}}}},"/api/v1/surveys/{id}/recalculate":{"post":{"tags":["Surveys"],"operationId":"recalculate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurveyItem"}}}}}}},"/api/v1/surveys/{id}/prepare-levantamiento":{"post":{"tags":["Surveys"],"operationId":"prepareLevantamiento","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyPreviewDto"}}}}}}},"/api/v1/surveys/{id}/materialize-template":{"post":{"tags":["Surveys"],"operationId":"materialize","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurveyItem"}}}}}}},"/api/v1/surveys/{id}/finalize-levantamiento":{"post":{"tags":["Surveys"],"operationId":"finalizeLevantamiento","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveySummaryDto"}}}}}}},"/api/v1/surveys/from-request/{requestId}":{"post":{"tags":["Surveys"],"operationId":"createFromRequest","parameters":[{"name":"requestId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyFromRequestBody"}}}},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurvey"}}}}}}},"/api/v1/survey-requests/from-folio":{"post":{"tags":["SurveyRequests"],"operationId":"createFromFolio","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyRequestFromFolioRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyRequest"}}}}}}},"/api/v1/solutions":{"get":{"tags":["Solutions"],"operationId":"findAll_2","parameters":[{"name":"activeOnly","in":"query","required":false,"schema":{"type":"boolean","default":true}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSolution"}}}}}},"post":{"tags":["Solutions"],"operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SolutionCreateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolution"}}}}}}},"/api/v1/survey-requests/{id}/cancel":{"patch":{"tags":["SurveyRequests"],"operationId":"cancel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyRequestDetailDto"}}}}}}},"/api/v1/survey-requests/{id}/assign":{"patch":{"tags":["SurveyRequests"],"operationId":"assign","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SurveyRequestAssignRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyRequestDetailDto"}}}}}}},"/api/v1/surveys/{id}/summary":{"get":{"tags":["Surveys"],"operationId":"summary","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"view","in":"query","required":false,"schema":{"type":"string","default":"field"}},{"name":"laborMode","in":"query","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveySummaryDto"}}}}}}},"/api/v1/surveys/{id}/preview":{"get":{"tags":["Surveys"],"operationId":"preview","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyPreviewDto"}}}}}}},"/api/v1/surveys/{id}/export.csv":{"get":{"tags":["Surveys"],"operationId":"exportCsv","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"text/csv;charset=UTF-8":{"schema":{"type":"string"}}}}}}},"/api/v1/surveys/catalog-search":{"get":{"tags":["Surveys"],"operationId":"catalogSearch","parameters":[{"name":"q","in":"query","required":true,"schema":{"type":"string"}},{"name":"limit","in":"query","required":false,"schema":{"type":"integer","format":"int32","default":50}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListProductCatalogDto"}}}}}}},"/api/v1/surveys/by-pre-sale-folder/{preSaleFolderId}":{"get":{"tags":["Surveys"],"operationId":"findByPreSaleFolder","parameters":[{"name":"preSaleFolderId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurvey"}}}}}}},"/api/v1/survey-requests":{"get":{"tags":["SurveyRequests"],"operationId":"findAll_1","parameters":[{"name":"status","in":"query","required":false,"schema":{"type":"string"}},{"name":"solutionId","in":"query","required":false,"schema":{"type":"integer","format":"int32"}},{"name":"assignedToMe","in":"query","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListSurveyRequestDetailDto"}}}}}}},"/api/v1/survey-requests/{id}":{"get":{"tags":["SurveyRequests"],"operationId":"findById_2","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSurveyRequestDetailDto"}}}}}}},"/api/v1/solutions/by-admin-category/{adminCategoryId}":{"get":{"tags":["Solutions"],"operationId":"findSolutionIdsByAdminCategory","parameters":[{"name":"adminCategoryId","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseSolutionIdsByCategoryDto"}}}}}}}},"components":{"schemas":{"SurveyItemUpdateRequest":{"type":"object","properties":{"quantityRequired":{"type":"number"},"automatedCalculation":{"type":"boolean"},"technicalNotes":{"type":"string"},"calculationNote":{"type":"string"},"sourceRecipeLineId":{"type":"integer","format":"int32"},"lineOrder":{"type":"integer","format":"int32"}}},"ApiResponseSurveyItem":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SurveyItem"}}},"SurveyItem":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"surveyId":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int32"},"quantityRequired":{"type":"number"},"automatedCalculation":{"type":"boolean"},"technicalNotes":{"type":"string"},"calculationNote":{"type":"string"},"sourceRecipeLineId":{"type":"integer","format":"int32"},"lineOrder":{"type":"integer","format":"int32"}}},"SurveyUpdateRequest":{"type":"object","properties":{"folderCode":{"maxLength":20,"minLength":0,"type":"string"},"customerId":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"categoryTemplateId":{"type":"integer","format":"int32"},"applyCategoryTemplate":{"type":"boolean"},"engineerId":{"type":"integer","format":"int32"},"totalNodes":{"type":"integer","format":"int32"},"metersPerNode":{"type":"number"},"totalMeters":{"type":"number"},"applyNodes":{"type":"boolean"},"locationReference":{"maxLength":255,"minLength":0,"type":"string"},"diagramPhotoUrl":{"maxLength":255,"minLength":0,"type":"string"},"statusId":{"type":"integer","format":"int32"},"projectName":{"maxLength":255,"minLength":0,"type":"string"},"surveyDate":{"type":"string","format":"date"},"description":{"type":"string"},"wizardStep":{"type":"integer","format":"int32"},"confirmReview":{"type":"boolean"},"equipmentTemplateId":{"type":"integer","format":"int32"},"includeCivilWork":{"type":"boolean"},"includeDuctwork":{"type":"boolean"},"workDays":{"type":"number"},"travelDistanceKm":{"type":"number"}}},"ApiResponseSurvey":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Survey"}}},"Survey":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"preSaleFolderId":{"type":"integer","format":"int32"},"folderCode":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"categoryTemplateId":{"type":"integer","format":"int32"},"engineerId":{"type":"integer","format":"int32"},"totalNodes":{"type":"integer","format":"int32"},"metersPerNode":{"type":"number"},"totalMeters":{"type":"number"},"locationReference":{"type":"string"},"diagramPhotoUrl":{"type":"string"},"statusId":{"type":"integer","format":"int32"},"projectName":{"type":"string"},"surveyDate":{"type":"string","format":"date"},"description":{"type":"string"},"wizardStep":{"type":"integer","format":"int32"},"confirmedAt":{"type":"string","format":"date-time"},"summaryJson":{"type":"string"},"equipmentTemplateId":{"type":"integer","format":"int32"},"includeCivilWork":{"type":"boolean"},"includeDuctwork":{"type":"boolean"},"workDays":{"type":"number"},"travelDistanceKm":{"type":"number"},"surveyLockedAt":{"type":"string","format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SurveyVariableValueInput":{"required":["definitionId"],"type":"object","properties":{"definitionId":{"type":"integer","format":"int32"},"valueNumeric":{"type":"number"},"valueText":{"type":"string"},"valueBoolean":{"type":"boolean"}}},"SurveyVariablesPutRequest":{"required":["values"],"type":"object","properties":{"values":{"type":"array","items":{"$ref":"#/components/schemas/SurveyVariableValueInput"}}}},"ApiResponseListSurveyVariableRowDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SurveyVariableRowDto"}}}},"SurveyVariableRowDto":{"type":"object","properties":{"definitionId":{"type":"integer","format":"int32"},"varKey":{"type":"string"},"label":{"type":"string"},"dataType":{"type":"string"},"unit":{"type":"string"},"required":{"type":"boolean"},"defaultValue":{"type":"string"},"sortOrder":{"type":"integer","format":"int32"},"valueNumeric":{"type":"number"},"valueText":{"type":"string"},"valueBoolean":{"type":"boolean"}}},"SolutionUpdateRequest":{"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":200,"minLength":0,"type":"string"},"description":{"type":"string"},"iconKey":{"maxLength":80,"minLength":0,"type":"string"},"adminCategoryIds":{"type":"array","items":{"type":"integer","format":"int32"}},"hasNodeLogic":{"type":"boolean"},"metersPerReel":{"type":"number"},"active":{"type":"boolean"}}},"ApiResponseSolution":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Solution"}}},"Solution":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"code":{"type":"string"},"name":{"type":"string"},"description":{"type":"string"},"iconKey":{"type":"string"},"adminCategoryIds":{"type":"array","items":{"type":"integer","format":"int32"}},"hasNodeLogic":{"type":"boolean"},"metersPerReel":{"type":"number"},"active":{"type":"boolean"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"SurveyCreateRequest":{"required":["categoryId","customerId","folderCode","preSaleFolderId","solutionId"],"type":"object","properties":{"preSaleFolderId":{"type":"integer","format":"int32"},"folderCode":{"maxLength":20,"minLength":0,"type":"string"},"customerId":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"categoryTemplateId":{"type":"integer","format":"int32"},"engineerId":{"type":"integer","format":"int32"},"totalNodes":{"type":"integer","format":"int32"},"metersPerNode":{"type":"number"},"totalMeters":{"type":"number"},"locationReference":{"maxLength":255,"minLength":0,"type":"string"},"diagramPhotoUrl":{"maxLength":255,"minLength":0,"type":"string"},"projectName":{"maxLength":255,"minLength":0,"type":"string"},"surveyDate":{"type":"string","format":"date"},"description":{"type":"string"},"wizardStep":{"type":"integer","format":"int32"}}},"SurveyItemCreateRequest":{"required":["productId","quantityRequired"],"type":"object","properties":{"productId":{"type":"integer","format":"int32"},"quantityRequired":{"type":"number"},"automatedCalculation":{"type":"boolean"},"technicalNotes":{"type":"string"},"calculationNote":{"type":"string"},"sourceRecipeLineId":{"type":"integer","format":"int32"},"lineOrder":{"type":"integer","format":"int32"}}},"ApiResponseListSurveyItem":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SurveyItem"}}}},"ApiResponseSurveyPreviewDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SurveyPreviewDto"}}},"ProductCatalogDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"code":{"type":"string"},"model":{"type":"string"},"technicalDescription":{"type":"string"},"brandId":{"type":"integer","format":"int32"},"active":{"type":"boolean"},"measurementUnitId":{"type":"integer","format":"int32"},"measurementUnitName":{"type":"string"}}},"SurveyPreviewDto":{"type":"object","properties":{"survey":{"$ref":"#/components/schemas/Survey"},"variables":{"type":"array","items":{"$ref":"#/components/schemas/SurveyVariableRowDto"}},"items":{"type":"array","items":{"$ref":"#/components/schemas/SurveyItem"}},"products":{"type":"array","items":{"$ref":"#/components/schemas/ProductCatalogDto"}}}},"ApiResponseSurveySummaryDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SurveySummaryDto"}}},"SurveyCommercialLineDto":{"type":"object","properties":{"templateKind":{"type":"string"},"itemType":{"type":"string"},"productId":{"type":"integer","format":"int32"},"serviceId":{"type":"integer","format":"int32"},"quantity":{"type":"number"},"unitCost":{"type":"number"},"unitPrice":{"type":"number"},"calculationNote":{"type":"string"}}},"SurveySummaryDto":{"type":"object","properties":{"surveyId":{"type":"integer","format":"int32"},"lineCount":{"type":"integer","format":"int32"},"totalQuantity":{"type":"number"},"summaryJsonOnSurvey":{"type":"string"},"lines":{"type":"array","items":{"$ref":"#/components/schemas/SurveySummaryLineDto"}},"commercialLines":{"type":"array","items":{"$ref":"#/components/schemas/SurveyCommercialLineDto"}},"includeCivilWork":{"type":"boolean"},"includeDuctwork":{"type":"boolean"},"workDays":{"type":"number"},"travelDistanceKm":{"type":"number"}}},"SurveySummaryLineDto":{"type":"object","properties":{"itemId":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int32"},"code":{"type":"string"},"model":{"type":"string"},"quantity":{"type":"number"},"measurementUnitId":{"type":"integer","format":"int32"},"measurementUnitName":{"type":"string"},"automated":{"type":"boolean"}}},"SurveyFromRequestBody":{"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"categoryTemplateId":{"type":"integer","format":"int32"},"diagramPhotoUrl":{"type":"string"}}},"SurveyRequestFromFolioRequest":{"required":["customerId","folderCode","preSaleFolderId","solutionId"],"type":"object","properties":{"preSaleFolderId":{"type":"integer","format":"int32"},"folderCode":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"customerContactId":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"projectName":{"type":"string"},"locationReference":{"type":"string"},"priority":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"}}},"ApiResponseSurveyRequest":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SurveyRequest"}}},"SurveyRequest":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"preSaleFolderId":{"type":"integer","format":"int32"},"folderCode":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"customerContactId":{"type":"integer","format":"int32"},"solutionId":{"type":"integer","format":"int32"},"projectName":{"type":"string"},"locationReference":{"type":"string"},"priority":{"type":"string"},"statusId":{"type":"integer","format":"int32"},"statusCode":{"type":"string"},"scheduledSurveyDate":{"type":"string","format":"date"},"coordinatorDescription":{"type":"string"},"surveyId":{"type":"integer","format":"int32"},"assignedByUserId":{"type":"integer","format":"int32"},"assignedAt":{"type":"string","format":"date-time"},"requestedAt":{"type":"string","format":"date-time"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"},"technicianUserIds":{"type":"array","items":{"type":"integer","format":"int32"}}}},"SolutionCreateRequest":{"required":["active","code","name"],"type":"object","properties":{"code":{"maxLength":50,"minLength":0,"type":"string"},"name":{"maxLength":200,"minLength":0,"type":"string"},"description":{"type":"string"},"iconKey":{"maxLength":80,"minLength":0,"type":"string"},"adminCategoryIds":{"type":"array","items":{"type":"integer","format":"int32"}},"hasNodeLogic":{"type":"boolean"},"metersPerReel":{"type":"number"},"active":{"type":"boolean"}}},"ApiResponseSurveyRequestDetailDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SurveyRequestDetailDto"}}},"SurveyRequestDetailDto":{"type":"object","properties":{"request":{"$ref":"#/components/schemas/SurveyRequest"},"technicianUserIds":{"type":"array","items":{"type":"integer","format":"int32"}},"customerName":{"type":"string"},"contactName":{"type":"string"},"solutionName":{"type":"string"}}},"SurveyRequestAssignRequest":{"required":["scheduledSurveyDate","technicianUserIds"],"type":"object","properties":{"technicianUserIds":{"type":"array","items":{"type":"integer","format":"int32"}},"scheduledSurveyDate":{"type":"string","format":"date"},"coordinatorDescription":{"type":"string"}}},"ApiResponseListSurvey":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Survey"}}}},"ApiResponseListProductCatalogDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/ProductCatalogDto"}}}},"ApiResponseListSurveyRequestDetailDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/SurveyRequestDetailDto"}}}},"ApiResponseListSolution":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Solution"}}}},"ApiResponseSolutionIdsByCategoryDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/SolutionIdsByCategoryDto"}}},"SolutionIdsByCategoryDto":{"type":"object","properties":{"solutionIds":{"type":"array","items":{"type":"integer","format":"int32"}}}}}}}